fastlane-community / fastlane-ftp-plugin

Ftp plugin for Fastlane

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Error to upload file with ruby >= 2.4.2

mo3bius opened this issue · comments

Hi I used this plugin until yesterday. I updated my ruby version to 2.4.2 and now doesn't work anymore.
Fastlane return this error: incomplete format specifier; use %% (double %) instead.

After some tries I think that it could caused by percentage calculation in the library.

Could that be the cause?

Same issue. Using ruby 2.5.1 since system doesn't allow me to write into the default Ruby directory to install gems there.

Fix with 1.5.0